org.mariadb.jdbc.internal.com.send.authentication

## Class SendPamAuthPacket

- java.lang.Object
- - org.mariadb.jdbc.internal.com.send.authentication.SendPamAuthPacket

All Implemented Interfaces:
  AuthenticationPlugin

    public class SendPamAuthPacket
    extends Object
    implements AuthenticationPlugin

### Constructor Summary

Constructors
Constructor and Description
`SendPamAuthPacket()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `initialize(String authenticationData, byte[] seed, Options options)` Initialization.
`String` `name()` Authentication plugin name.
`Buffer` `process(PacketOutputStream out, PacketInputStream in, AtomicInteger sequence)` Process PAM plugin authentication. see https://mariadb.com/kb/en/library/authentication-plugin-pam/
`String` `type()` Authentication plugin type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.mariadb.jdbc.authentication.AuthenticationPlugin

`mustUseSsl`

### Constructor Detail

#### SendPamAuthPacket

    public SendPamAuthPacket()

### Method Detail

#### name

    public String name()

Description copied from interface: `AuthenticationPlugin`
Authentication plugin name.

Specified by:
  `name` in interface `AuthenticationPlugin`
Returns:
  authentication plugin name. ex: Mysql native password

#### type

    public String type()

Description copied from interface: `AuthenticationPlugin`
Authentication plugin type.

Specified by:
  `type` in interface `AuthenticationPlugin`
Returns:
  authentication plugin type. ex: mysql_native_password

#### initialize

    public void initialize(String authenticationData,
                           byte[] seed,
                           Options options)

Initialization.

Specified by:
  `initialize` in interface `AuthenticationPlugin`
Parameters:
  `authenticationData` - authentication data (password/token)
  `seed` - server provided seed
  `options` - Connection string options

#### process

    public Buffer process(PacketOutputStream out,
                          PacketInputStream in,
                          AtomicInteger sequence)
                   throws IOException,
                          SQLException

Process PAM plugin authentication. see https://mariadb.com/kb/en/library/authentication-plugin-pam/

Specified by:
  `process` in interface `AuthenticationPlugin`
Parameters:
  `out` - out stream
  `in` - in stream
  `sequence` - packet sequence
Returns:
  response packet
Throws:
  `IOException` - if socket error
  `SQLException` - if plugin exception